## python-brainstorm 0.5

=== Makefile ===
.PHONY: help clean clean-pyc clean-build clean-test clean-docs lint test \
        test-all coverage docs release dist

help:
	@echo "clean - remove all build, doc, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "clean-doc - remove documentation artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"

clean: clean-build clean-pyc clean-test clean-docs

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .cache/

clean-docs:
	$(MAKE) -C docs clean

lint:
	flake8 brainstorm

test: clean-pyc clean-test
	python setup.py test

test-all: clean-pyc
	tox

coverage: clean-pyc
	coverage run --source brainstorm setup.py test
	coverage report -m
	coverage html
	xdg-open htmlcov/index.html

docs:
	$(MAKE) -C docs clean
	python setup.py build_ext --inplace
	$(MAKE) -C docs html
	xdg-open docs/_build/html/index.html

release: clean
	python setup.py build_ext --inplace
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py build_ext --inplace
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist
