=== requirements.txt ===
numpy
cython
six
wheel>=0.22
mock
h5py
