=== debian/changelog ===
python-brainstorm (0.5-3) unstable; urgency=medium

  * add fix-tests-for-numpy-1.12.patch (Closes: #849232) [thanks
    to Graham Inggs <ginggs@debian.org>].

 -- Daniel Stender <stender@debian.org>  Thu, 19 Jan 2017 20:34:34 +0100

python-brainstorm (0.5-2) unstable; urgency=medium

  * Uploaded to unstable.
  * deb/control:
    + put team into Maintainer field (unconfirmed team uploads).
    + bumped Standards-Version to 3.9.8 (no changes needed).
    + short description made more precise.
    + added description text on GPU accelerated computation.
  * deb/rules:
    + added DEB_BUILD_MAINT_OPTIONS export for BINDNOW.
    + dropped failsafe for dh_auto_test.
    + sorted overrides into build log order.
    + added override for dh_gencontrol to run dh_numpy3.
  * Set up DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Tue, 24 May 2016 20:52:02 +0200

python-brainstorm (0.5-1) experimental; urgency=medium

  * Initial release (Closes: #817890).

 -- Daniel Stender <stender@debian.org>  Sun, 13 Mar 2016 17:02:17 +0100
