=== debian/control ===
Source: python-brainstorm
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-setuptools,
 python3-all-dev,
 python3-six,
 python3-numpy (>= 1.8),
 cython3,
 libopenblas-dev,
 python3-h5py,
 python3-pytest,
 python3-mock,
# recursion error when build on python3-sphinx
 python-sphinx,
 python-pygments,
 python-sphinx-rtd-theme,
 python-numpy,
 python-mock
Standards-Version: 3.9.8
Homepage: https://github.com/IDSIA/brainstorm
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-brainstorm.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-brainstorm.git
X-Python3-Version: >= 3.3

Package: python3-brainstorm
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
 libopenblas-base
Recommends:
 python3-pygraphviz
Description: deep learning library for Python
 Brainstorm is an easy-to-use Python library for setting up deep
 (multiple layered) artificial neural networks which can be employed
 for setting up advanced machine learning applications like
 for computer vision tasks, speech recognition and natural language
 processing.
 .
 Brainstorm supports GPU accelerated computation using NVIDIA CUDA,
 however the scikit-cuda library which is needed for that additionally
 isn't available yet within Debian.
