=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=brainstorm
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="cp -a brainstorm/tests {build_dir}/brainstorm/tests; {interpreter} -Wd -m pytest {build_dir}/brainstorm/tests -v -rs; rm -rf {build_dir}/brainstorm/tests" dh_auto_test

override_dh_installdocs:
	dh_installdocs
	sphinx-build -N -bhtml docs/ debian/python3-brainstorm/usr/share/doc/python3-brainstorm/html/

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_compress:
	dh_compress -X.py

override_dh_gencontrol:
	dh_numpy3
	dh_gencontrol
