=== debian/tests/control ===
Tests: python3-brainstorm
Depends: @, python3-pytest, python3-mock
