=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]+)\.tar\.gz/python-brainstorm-$1.tar.gz/" \
https://github.com/IDSIA/brainstorm/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz
